{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}

{% block css %}
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }
    </style>
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Master Tahun</li>
        </ol>
    </nav>

    <div class="d-flex flex-column flex-md-row justify-content-between mx-2">
        <div class="mb-md-0"> 
            <button type="button" class="btn btn-primary mt-1 mb-1" data-toggle="modal" data-target="#tambahtahapan">
                <i class="bi bi-plus"></i> Tambah Data Master Tahapan
            </button>
        </div>
        <!-- <div class="ml-md-auto">
            <button type="button" class="btn btn-danger mt-1 mb-4" data-toggle="modal" data-target="#arsiptahapan">
                <i class="bi bi-trash"></i> Data Master Tahapan Diarsipkan
            </button>
        </div> -->
    </div>

    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info"><i class="fa fa-list"></i> Master Tahun</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered dt-responsive" id="table-list">
                            <thead class="bg-primary text-white">
                                <th>No</th>
                                <th>Tahun</th>
                                <th>Tahapan</th>
                                <th>Status</th>
                                <th>Aksi</th>
                            </thead>
                            <tbody>
                                {% for item_tahapan in tahapan_list %}
                                    <tr>
                                        <td>{{forloop.counter}}</td>
                                        <td>{{item_tahapan.tahun.tahun}}</td>
                                        <td>{{item_tahapan.tahapan}}</td>
                                        <td>{% if item_tahapan.status %} Aktif {% else %} Tidak Aktif {% endif %}</td>
                                        <td>
                                            <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                                <button class="btn btn-success btn-circle mr-3 mb-2" data-toggle="modal" data-target="#edittahun-{{item_tahapan.id_tahapan}}"><span class="fa fa-edit"></span></button>
                                                <div class="modal fade " id="edittahun-{{item_tahapan.id_tahapan}}"  role="dialog" aria-labelledby="edittahun-{{item_tahapan.id_tahapan}}" aria-hidden="true">
                                                    <div class="modal-dialog modal-lg" role="document">
                                                        <div class="modal-content ">
                                                            <div class="modal-header bg-gradient-primary text-white">
                                                                <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Ubah Data Tahapan</h5>
                                                                <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                                                            </div>
                                                            <div class="modal-body">
                                                                <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_tahapan_edit' item_tahapan.id_tahapan %}">
                                                                        {% csrf_token %}
                                                                        <div class="row">
                                                                            <div class="col-md-3"> Tahapan </div>
                                                                            <div class="col-md-8"> <input type="text" value="{{item_tahapan.tahapan}}" name="tahapan" class="form-control" placeholder="Isi Tahapan"></div>
                                                                         </div>
                                                                         <div class="row mt-3">
                                                                            <div class="col-md-3"> Tahun </div>
                                                                            <div class="col-md-8 mb-2"> 
                                                                                <select name="tahun" class="form-control select2" style="width: 100%;" required>
                                                                                    <option value="">Pilih Tahun</option>
                                                                                    {% for dt_tahun_edit in tahun_list %}
                                                                                    <option {% if item_tahapan.tahun.id == dt_tahun_edit.id %} selected{% endif %} value="{{ dt_tahun_edit.id }}">
                                                                                        {{ dt_tahun_edit.tahun|title }}
                                                                                    </option>
                                                                                    {% endfor %}
                                                                                </select>
                                                                            </div>
                                                                         </div>
                                                                         <!-- <div class="row mt-3">
                                                                            <div class="col-md-3"> Status </div>
                                                                            <div class="col-md-8">
                                                                                <select class="form-control" name="status" required>
                                                                                    <option {% if item_tahapan.status == 1 %}selected {% endif %} value="1">Aktif</option>
                                                                                    <option {% if item_tahapan.status == 0 %}selected {% endif %} value="0">Tidak Aktif</option>
                                                                                </select>
                                                                            </div>
                                                                         </div> -->
                                                                        
                                                                        <div class="modal-footer">
                                                                            <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
                                                                            <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                                                                        </div>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <!-- <a href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                                onclick="delete_('soft_delete', `{{ item_tahapan.tahapan }}`, '{{ item_tahapan.id_tahapan }}')"
                                                title="Arsipkan">
                                                    <i class="bi bi-archive"></i>
                                                </a> -->
                                            </div>
                                           
                                        </td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock main %}

{% block footer %}
    {% include 'profile/admin/master_tahapan/modal.html' %}
    {% include 'profile/admin/master_tahapan/archive.html' %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script>
        function restore_(tahun, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${tahun}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: "{% url 'profile:admin_tahapan_restore' 0 %}".replace('0', id),
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Master tahun berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Master tahun gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: "{% url 'profile:admin_tahapan_soft_delete' 0 %}".replace('0', id),
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Master tahun berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Master tahun gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
    </script>
{% endblock scripts_bawah %}